# ../addons/eventscripts/gungame/scripts/custom/gg_buylevel/gg_buylevel_config.py

# ============================================================================
# >> IMPORTS
# ============================================================================
# EventScripts Imports
import es
import cfglib

# GunGame Imports
from gungame51.core.cfg import generate_header

# ============================================================================
# >> GLOBAL VARIABLES
# ============================================================================
config = cfglib.AddonCFG('%s/cfg/' % es.ServerVar('eventscripts_gamedir') +
    'gungame51/custom_addon_configs/gg_buylevel.cfg')
        
# ============================================================================
# >> LOAD & UNLOAD
# ============================================================================
def load():
    generate_header(config)

    # BuyLevel
    config.text('')
    config.text('='*76)
    config.text('>> BUYLEVEL')
    config.text('='*76)
    config.text('Description:')
    config.text('   A command used to buy GunGame levels.')
    config.text('Options:')
    config.text('   0 = (Disabled)')
    config.text('   1 = (Enabled)')
    config.text('Default Value: 1')
    config.cvar('gg_buylevel', 1, 'Enables/Disables ' +
                'gg_buylevel.').addFlag('notify')
    config.text('')

    # BuyLevel Command
    config.text('')
    config.text('='*76)
    config.text('>> BUYLEVEL COMMAND')
    config.text('='*76)
    config.text('Description:')
    config.text('   The say command used to buy levels.')
    config.text('Default Value: !buylevel')
    config.cvar('gg_buylevel_cmd', '!buylevel', 'The say command used to buy levels.')

    # BuyLevel Kill Reward
    config.text('')
    config.text('='*76)
    config.text('>> BUYLEVEL KILL REWARD')
    config.text('='*76)
    config.text('Description:')
    config.text('   The amount earned per kill.')
    config.text('Default Value: 800')
    config.cvar('gg_buylevel_kill_reward', 800, 'The amount earned per kill.')

    # BuyLevel Levelup Reward
    config.text('')
    config.text('='*76)
    config.text('>> BUYLEVEL LEVELUP REWARD')
    config.text('='*76)
    config.text('Description:')
    config.text('   The amount earned per levelup.')
    config.text('Default Value: 800')
    config.cvar('gg_buylevel_levelup_reward', 800, 'The amount earned per ' +
                'levelup.')

    # BuyLevel Cost
    config.text('')
    config.text('='*76)
    config.text('>> BUYLEVEL COST')
    config.text('='*76)
    config.text('Description:')
    config.text('   The amount required to buy a level.')
    config.text('Default Value: 8000')
    config.cvar('gg_buylevel_cost', 8000, 'The amount required to buy a level.')

    # BuyLevel Block Skip
    config.text('')
    config.text('='*76)
    config.text('>> BUYLEVEL BLOCK SKIP')
    config.text('='*76)
    config.text('Description:')
    config.text('   Block these weapons from being skipped with !buylevel.')
    config.text('   The last level will always be blocked from skipping.')
    config.text('Options:')
    config.text('   0 = Do not block skipping any weapons.')
    config.text('   weapon = Block skipping this weapon.')
    config.text('   weapon,weapon,weapon = Block skipping all of these ' +
                'weapons.')
    config.text('Default Value: hegrenade,knife')
    config.cvar('gg_buylevel_block_skip', 'hegrenade,knife', 'Block skipping' +
                ' these weapons.')

    # BuyLevel Announce
    config.text('')
    config.text('='*76)
    config.text('>> BUYLEVEL ANNOUNCE')
    config.text('='*76)
    config.text('Description:')
    config.text('   Announce how to use gg_buylevel when the player first ' +
                'joins.')
    config.text('Options:')
    config.text('   0 = (Disabled) Do not announce how to use !buylevel.')
    config.text('   1 = (Enabled) Announce how to use gg_buylevel when the ' +
                'player first joins')
    config.text('Default Value: 1')
    config.cvar('gg_buylevel_announce', 1, 'Announce how to use ' +
                'gg_buylevel when the player first joins.')

    config.write()
    es.dbgmsg(0, '\tgg_buylevel.cfg')

def unload():
    global config

    # Remove the "notify" flags as set by addFlag('notify')
    for cvar in config.getCvars().keys():
        es.flags('remove', 'notify', cvar)
    
    # Delete the cfglib.AddonCFG instance
    del config